### Hierarchy

- VerifyManagerImpl

### Implements

- VerifyManager

## Index

### Constructors

- constructor

### Methods

- getAccountsByPublicKeys
- getAllAccounts
- getOfferSearchesByIds

## Constructors

### constructor

- new VerifyManagerImpl(verifyRepository: VerifyRepository): VerifyManagerImpl

- - Defined in manager/VerifyManagerImpl.ts:8

  #### Parameters

  - ##### verifyRepository: VerifyRepository

  #### Returns VerifyManagerImpl

## Methods

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- Implementation of VerifyManager.getAccountsByPublicKeys

  - Defined in manager/VerifyManagerImpl.ts:18

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- Implementation of VerifyManager.getAllAccounts

  - Defined in manager/VerifyManagerImpl.ts:22

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- Implementation of VerifyManager.getOfferSearchesByIds

  - Defined in manager/VerifyManagerImpl.ts:14

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

Generated using TypeDoc